# Administration Reference

## tokens

Purpose

Displays the issuer's tokens

Synopsis

    tokens [-help]

    tokens [-h]

Description

The tokens command displays all tokens (tickets) cached on the local machine for the issuer. AFS server processes require that their clients present a token as evidence that they have authenticated in the server's local cell.

Note:

The tokens.krb version of this command is intended for use by sites that employ standard Kerberos authentication for their clients. The tokens.krb command provides all of the functionality of the tokens command. In addition, it provides information on the Kerberos tickets stored in the file specified by the KRBTKFILE environment variable (the /tmp/tkt X file, where X is the number of the user's PAG).

Options

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output lists one token for each cell in which the user is authenticated. The output indicates the

- User's AFS UID, if it is available for display.

- Server for which the token is valid (normally, afs). This includes a cell specification.

- Day and time the token expires.

The output of the Kerberos version of this command, tokens.krb, also reports the following about the Kerberos ticket-granting ticket: the ticket owner, which Kerberos ticket-granting service that issued the ticket (for example, krbtgt.ABC.COM), and ticket's expiration date.

The string `--End of list--` appears at the end of the output. If the user is not authenticated in any cell, this line is all that appears.

Examples

The following example shows the output when the issuer is not authenticated in any cell.

       % tokens
       Tokens held by the Cache Manager:

          --End of list--

The following example shows the output when the issuer is authenticated in ABC Corporation cell, where he or she has AFS UID 1000.

       % tokens
       Tokens held by the Cache Manager:

       User's (AFS ID 1000) tokens for afs@abc.com [Expires Jan 2 10:00]
          --End of list--

The following example shows the output when the issuer is authenticated in the ABC Corporation cell, the State University cell, and the XYZ Company cell. The user has different AFS UIDs in the three cells. Tokens for last cell are expired:

       % tokens
       Tokens held by the Cache Manager:

       User's (AFS ID 1000) tokens for afs@abc.com [Expires Jan 3 10:00]
       User's (AFS ID 4286) tokens for afs@stateu.edu [Expires Jan 3 1:34]
       User's (AFS ID 22) tokens for afs@xyz.com [>>Expired<]
          --End of list--

The following example shows the output when the issuer uses the tokens.krb version of the command after authenticating in the ABC Corporation cell using the klog.krb command.

       % tokens.krb
       Tokens held by the Cache Manager:

       User's (AFS ID 1000) tokens for afs@abc.com [Expires Jan 31 00:09]
       User smiths tokens for krbtgt.ABC.COM@abc.com [Expires Jan 31 00:09]
          --End of list--

Privilege Required

None

Related Information

klog

unlog

© IBM Corporation 2000. All Rights Reserved